using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using FingersDance.Data;

namespace FingersDance.ViewModels
{
    public class SessionViewModel
    {
        private Session session = new Session();

        #region Constructor

        public SessionViewModel() { }

        public SessionViewModel(Session s)
        {
            session = s;
        }

        #endregion

        #region Properties

        public String VideoName
        {
            get { return session.VideoName; }
            set { session.VideoName = value; }
        }

        public String VideoPath
        {
            get { return session.Videopath; }
            set { session.Videopath = value; }
        }

        public Dictionary<String, Project> Projects
        {
            get { return session.Projects; }
            set { session.Projects = value; }
        }

        #endregion
    }
}
